## poetry 2.3.2%2Bdfsg

=== debian/control ===
Source: poetry
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Build-Depends: debhelper-compat (= 13),
               git (>= 1:2.33.0),
               pybuild-plugin-pyproject,
               python3-all,
               python3-all-dev,
               python3-cachecontrol (>= 0.12.6),
               python3-cachy (>= 0.3.0),
               python3-cleo (>= 2.2.1),
               python3-clikit (>= 0.6.2),
               python3-crashtest (>= 0.3.1) <!nocheck>,
               python3-deepdiff <!nocheck>,
               python3-dulwich (>=0.25.0),
               python3-html5lib (>= 0.3.1),
               python3-jsonschema (>= 3.2.0),
               python3-keyring (>= 22.0.1),
               python3-packaging,
               python3-pexpect (>= 4.8.0),
               python3-pip,
               python3-pkginfo (>= 1.7.0),
               python3-poetry-core (>= 2.3.1),
               python3-pyparsing (>= 2.4.7) <!nocheck>,
               python3-pyrsistent (>= 0.15.5) <!nocheck>,
               python3-pytest (>= 6.0.2) <!nocheck>,
               python3-pytest-mock (>= 1.10.4) <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-requests (>= 2.25.1),
               python3-requests-toolbelt (>= 0.9.1),
               python3-responses (>= 0.25.8) <!nocheck>,
               python3-shellingham (>= 1.3.2),
               python3-tomlkit,
               python3-trove-classifiers,
               python3-venv,
               python3-virtualenv (>= 20.4.0),
               python3-findpython,
               python3-pbs-installer,
Standards-Version: 4.7.2
Homepage: https://python-poetry.org/
Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
Vcs-Git: https://salsa.debian.org/python-team/packages/poetry.git

Package: python3-poetry
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: python3-trove-classifiers,
Description: Python dependency management and packaging made easy (Python 3)
 Poetry helps you declare, manage and install dependencies of Python
 projects, ensuring you have the right stack everywhere.
 .
 This package installs the library for Python 3.
