## poetry 2.3.2+dfsg

=== debian/changelog ===
poetry (2.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Support Dulwich >= 0.25 (closes: #1127062).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Wed, 11 Feb 2026 11:56:08 +0000

poetry (2.2.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix tests when there are multiple supported Python versions (closes:
    #1123162).

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Jan 2026 21:08:54 +0000
