=== debian/control ===
--- 
+++ 
@@ -23,6 +23,7 @@
                python3-pip,
                python3-pkginfo (>= 1.7.0),
                python3-poetry-core (>= 2.3.1),
+               python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
